Bug 117744 - Insane amount of stuff going on while user doing nothing in the Character dialog (both Linux and macOS at least)
Summary: Insane amount of stuff going on while user doing nothing in the Character dia...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character-Dialog
  Show dependency treegraph
 
Reported: 2018-05-22 15:24 UTC by Tor Lillqvist
Modified: 2019-06-19 20:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2018-05-22 15:24:04 UTC
Description:
Run a development build of LibreOffice with SAL_LOG=+TIMESTAMP+INFO.vcl+INFO.framework+INFO.sfx2 instdir/program/soffice --writer . Right-click and select the Character... entry. Move focus to some control that doesn't even cause any caret to blink. Watch the fireworks.

Actual Results:  
Lots and lots of stuff going on. Some timer firing with 20 ms intervals apparently. 

Expected Results:
Not really much should be going on. At most the ten second timer you see in other situations.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_4) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/11.1 Safari/605.1.15
Comment 1 Tor Lillqvist 2018-05-22 17:23:39 UTC
(Although actually it seems that at least in master, on Linux, in an idle state in Writer, you get some activity every half second or so. (Which still is much less often than every 20 ms.) Probably the blinking caret. The ten second thing was when no document is open, and not the Start Centre either, and that was on a Mac.)
Comment 2 Telesto 2018-05-22 17:57:12 UTC
Maybe bug 114839 ?
Comment 3 Tor Lillqvist 2018-05-22 18:00:42 UTC
Maybe, but that bug is Mac-specific. Especially that blinking aqua stuff;)
Comment 4 Tor Lillqvist 2018-05-22 18:05:01 UTC
Note that I have no understanding what that SfxBindings thing is, and why code in there needs to be invoked every 20 ms while the user is staring at the Characters... dialog. (Or other modal dialogs?)
Comment 5 Buovjaga 2018-06-18 07:45:04 UTC
I believe you -> NEW
Comment 6 QA Administrators 2019-06-19 02:48:07 UTC
Dear Tor Lillqvist,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug